# pandas.UInt64Index

class `pandas.``UInt64Index`

  Immutable ndarray implementing an ordered, sliceable set. The basic object storing axis labels for all pandas objects. UInt64Index is a special case of Index with purely unsigned integer labels.

  Parameters:

  data : array-like (1-dimensional)

  dtype : NumPy dtype (default: uint64)

  copy : bool

  > Make a copy of input ndarray

  name : object

  > Name to be stored in the index

  See also

  `Index`
    The base pandas Index type.

  Notes

  An Index instance can only contain hashable objects.

  Attributes

  None |

  Methods

  None |

Scroll To Top